.slideDown-enter-active, .slideDown-leave-active {
  transition: height $transitionTime ease-out;
}

.slideDown-enter, .slideDown-leave-to {
  height: 0px;
}

.slideUp-enter-active, .slideUp-leave-active {
  transition: height $transitionTime ease-out;
}

.slideUp-enter, .slideUp-leave-to {
  height: 0px;
}

//in - fade and translate from right to left / out - fade and translate from right to left

.slide-fade-enter-active {
  transition: all $transitionTime ease;
  transition-delay: $transitionTime;
}

.slide-fade-leave-active {
  transition: all $transitionTime cubic-bezier(1.0, 0.5, 0.8, 1.0);
}

.slide-fade-enter {
  transform: translateX(10px);
  opacity: 0;
}

.slide-fade-leave-to {
  transform: translateX(-20px);
  opacity: 0;
}

.scale-fade-enter-active {
  transition: all $transitionTime ease;
  transition-delay: $transitionTime;
}

.scale-fade-leave-active {
  transition: all $transitionTime cubic-bezier(1.0, 0.5, 0.8, 1.0);
}

.scale-fade-enter {
  transform: scale(.9);
  opacity: 0;
}

.scale-fade-leave-to {
  transform: scale(1.1);
  opacity: 0;
}

.slideTo {
  &-left {
    &-enter-active, &-leave-active {
      transition: all $transitionTime ease-out;
      &.important {
        position: absolute !important;
      }
    }

    &-enter {
      transform: translateX(100%);
    }

    &-enter-to {
      transform: translateX(0%);
    }

    &-leave {
      transform: translateX(0%);
    }

    &-leave-to {
      transform: translateX(-100%);
    }
  }
  &-right {
    &-enter-active, &-leave-active {
      &.important {
        position: absolute !important;
      }
      transition: all $transitionTime ease-out;
    }

    &-enter {
      transform: translateX(-100%);
    }

    &-enter-to {
      transform: translateX(0%);
    }

    &-leave {
      transform: translateX(0%);
    }

    &-leave-to {
      transform: translateX(100%);
    }
  }
}

.rotate {
  &-instant {
    animation: spin 1s linear;
  }
  &-infinite {
    animation: spin 1s linear infinite;
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}




.list-enter-active, .list-leave-active {
  transition: all 1s;
}
.list-enter, .list-leave-to /* .list-leave-active below version 2.1.8 */ {
  opacity: 0;
  transform: translateY(30px);
}
